%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-twilio
Version:        2.0.8
Release:        1%{?dist}
Summary:        Twilio interface to python

Group:          Development/Languages
License:        BSD
URL:            http://twilio.com/
Source0:        python-twilio-2.0.8.tar.gz
Patch1:		python-twilio-centos5-sms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

%description
twilio module for python.

%prep
%setup0 -q 
%patch1  -p1

# strip executable permissions so that we don't pick up dependencies
# from documentation
find examples -type f | xargs chmod a-x

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

%check
pushd tests
# skip one test because it queries the network
for py in *.py
do
	if [ $py != resolver.py ]
	then
		PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} $py
	fi
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README* examples

%{python_sitelib}/*egg-info
%{python_sitelib}/twilio.p*

%changelog
* Fri Jun 10 2011 Paul Wouters <paul@xelerance.com> - 2.0.8-1
- Initial Package
